# Add Devices to a Space

* [Request Parameters](#request-parameters)
* [Response](#response)

Adds devices to a specific space.

{% tabs %}
{% tab title="JavaScript" %}
Adds devices to a specific space.

**Code:**

```javascript
await seam.spaces.addDevices({
  space_id: "4d53b5c0-87cd-4de9-832d-025e075e7cd4",
  device_ids: ["22fb4992-463c-4ccd-b568-50fcea243665"],
});
```

**Output:**

```javascript
// void
```

{% endtab %}

{% tab title="cURL" %}
Adds devices to a specific space.

**Code:**

```curl
curl --include --request POST "https://connect.getseam.com/spaces/add_devices" \
  --header "Authorization: Bearer $SEAM_API_KEY" \
  --json @- <<EOF
{
  "space_id": "4d53b5c0-87cd-4de9-832d-025e075e7cd4",
  "device_ids": [
    "22fb4992-463c-4ccd-b568-50fcea243665"
  ]
}
EOF
```

**Output:**

```curl
{}
```

{% endtab %}

{% tab title="Python" %}
Adds devices to a specific space.

**Code:**

```python
seam.spaces.add_devices(
    space_id="4d53b5c0-87cd-4de9-832d-025e075e7cd4",
    device_ids=["22fb4992-463c-4ccd-b568-50fcea243665"],
)
```

**Output:**

```python
None
```

{% endtab %}

{% tab title="Ruby" %}
Adds devices to a specific space.

**Code:**

```ruby
seam.spaces.add_devices(
  space_id: "4d53b5c0-87cd-4de9-832d-025e075e7cd4",
  device_ids: ["22fb4992-463c-4ccd-b568-50fcea243665"],
)
```

**Output:**

```ruby
nil
```

{% endtab %}

{% tab title="PHP" %}
Adds devices to a specific space.

**Code:**

```php
$seam->spaces->add_devices(
    space_id: "4d53b5c0-87cd-4de9-832d-025e075e7cd4",
    device_ids: ["22fb4992-463c-4ccd-b568-50fcea243665"],
);
```

**Output:**

```php
```

{% endtab %}

{% tab title="Seam CLI" %}
Adds devices to a specific space.

**Code:**

```seam_cli
seam spaces add-devices --space_id "4d53b5c0-87cd-4de9-832d-025e075e7cd4" --device_ids ["22fb4992-463c-4ccd-b568-50fcea243665"]
```

**Output:**

```seam_cli
{}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Authentication Methods</summary>

* API key
* Client session token
* Personal access token\
  Must also include the `seam-workspace` header in the request.

To learn more, see [Authentication](https://docs.seam.co/latest/api/authentication).

</details>

## Request Parameters

**`device_ids`** *Array* *of UUIDs* (Required)

IDs of the devices that you want to add to the space.

***

**`space_id`** *String* (Required)

ID of the space to which you want to add devices.

***

## Response

{% hint style="success" %}
Returns: **void**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/spaces/add_devices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
